%% ConfiguraCamera.m
%
% Faz a configurao da webcam para a captura de um vdeo. Retirado
% diretamente do captulo trs do documento Mtodos de Aquisio de
% vdeo, o indicador fsico das atividades 1 e 2 da primeira meta do
% projeto final Transmisso de Vdeo para uma unidade mvel via EDGE.
%
%% Criando o objeto VideoInput
imp('Inicializando o objeto videoinput',0)
cores = uint16(24);
largura = uint16(160);
altura = uint16(120);
objeto = videoinput('winvideo',1,...
['RGB' num2str(cores) '_' num2str(largura) 'x' num2str(altura)]);

%% Configurando os parmetros da captura
imp('Configurando os parmetros da captura',0)
set(objeto,'FramesPerTrigger',1,'TriggerRepeat',inf);
triggerconfig(objeto,'Manual')

%% Inicializando o objeto videoinput
start(objeto);
