%% Recebe uma mensagem de um socket conectado no contexto especificado
%
% O comando consiste em enviar primeiramente um
%
%         AT^SISR=<contexto>,1500
%
% e aguardar a resposta do mdulo. A resposta terminar com um OK, NO
% CARRIER ou ERROR.
%

function dados = Recebe_dados(obj_serial,contexto)

comando = ['at^sisr=' contexto ',1500'];

imp(['Enviando o comando: ' comando])
Envia_cmd(obj_serial,cmd);

imp('Aguardando a resposta',0)
dados = '';
while true
	
    dado_tmp = fscanf(obj_serial);
    dados = [dados dado_tmp];
    
	try
		if strcmpi(dado_tmp(1:2),'ok')
            imp('Recebida resposta:',0)
			imp(dados,0)
			break;
		end
	end
	
	try
		if strcmpi(dado_tmp(1:2),'no')
			imp('WARNING encontrado na resposta a seguir:',1);
			imp(dados,0);
			break;
		end
	end
	
	try
		if strcmpi(dado_tmp(1:2),'er')
			imp('ERRO encontrado na resposta a seguir:',1);
			imp(dados,0)
			imp('Tecle qualquer tecla.');
			pause();
			break;
		end
	end
	
end