%% Faz a configurao da porta serial no MatLab
%
% Os parmetros de configurao foram retirados do manual do mdulo MC-75

Porta = 'com1';
imp(['Configurando a porta "' Porta '"'],0)

%% Faz a configurao da porta serial para a transmisso do vdeo.
imp('Criando o objeto Serial',0)
serialUm = serial(Porta);

imp('Setando os parmetros da conexo',0)
set(serialUm,'BaudRate',57600, ...
'DataBits',8, ...
'Parity','none', ...
'StopBits',1, ...
'FlowControl','hardware', ...  % Controle de fluxo por software no funciona
'Terminator','LF', ...
'OutputBufferSize',250000, ...
'InputBufferSize',250000, ...
'Timeout',5);

imp('Iniciando o objeto',0)
fopen(serialUm)

imp('Aguardando um momento',0)
serialbreak(serialUm,1000);
