% Garantindo que a porta serial no est ocupada
try
	delete(serialUm)
end
clear all; clc;

% Adicionando o caminho dos programas referentes ao tratamento da imagem
addpath '..\Imagem';

% O programa pode exibir os logs na tela ou salv-los em arquivo. Na
% varivel a seguir, a forma de exibio de logs  definida.
global log;
log = 'tela';
%log = 'arquivo';

% O arquivo a seguir  usado quando o log  feito em arquivo
global fidlog; fidlog = fopen(['EDGE2JAVA.' date '.log.txt'],'a+');

% tlfn = ['99493372';...    % Amigo GUI.....Motorola a1200
% 	'91466625';...        % Cleiber.......w200i(VIVO GSM)
% 	'84090978';...        % Cesar.........Motorola z3
% 	'99270977';...        % Alex..........Intelbras m500
% 	'84150602';...        % Vagner........LG mg235
% 	'99577089';...        % Neto..........Nokia 6111
% 	'99873341';...        % Felipe........SonyEricsson w300i
% 	'91496939';...        % Jonatan.......LG mx8000
% 	'99825206';...        % Lucas sala 1..BAK MP71
% 	];

tlfn = '4799039184';  % Z Paulo............Siemens
tlfn = '4899772757';  % Farleir.............Intelbras w900....BrT....< >

% A funo imp() foi criada para permitir um melhor tratamento das mensagem
% de log do programa
imp('=======================================================================',0)
imp('====================== INICIO DO PROGRAMA =============================',0)
imp('=======================================================================',0)


%% Configura serial
imp('Configurando a interface serial',1)
configuraSerial;

for index = [1:size(tlfn,1)]

	%% Enviando o SMS  unidade mvel
	% Para avisar o usurio da ocorrncia de um evento, "acordando" a aplicao
	% Java na unidade mvel, utiliza-se uma mensagem SMS. Nesta mensagem,
	% formada no formato padro PDU (GSM 03.40) duas informaes importantes
	% so informadas:
	% * A porta de acesso  aplicao Java - Atravs do Push Registry, ...
	% * O IP de acesso ao servidor TCP - No corpo da mensagem o IP  ...
	imp(['Enviando o SMS ' num2str(index)],1);
	Envia_sms(serialUm,tlfn(index,:),'192.168.1.1');
	%Envia_sms(serialUm,tlfn,'Voc recebeu um SMS do grupo Edge2Java');

end
%% Desligando o modulo
imp('Liberando instncias',1)
imp('Excluindo as mensagens SMS',0)
limpa_SMS(serialUm);
imp('Desligando o modulo',0)
Desliga_modulo(serialUm);
imp('Deletando o objeto serial',0)
delete(serialUm);
clear all; close all;